Bug 1297914 - [RFE] Provide --volumes-from capability in kubernetes
[RFE] Provide --volumes-from capability in kubernetes
Status: NEW
Product: OpenShift Origin
Classification: Red Hat
Component: Storage (Show other bugs)
3.x
x86_64 Linux
high Severity low
: ---
: ---
Assigned To: Steve Watt
Jianwei Hou
: Extras, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 13:42 EST by Jake Hunsaker
Modified: 2016-08-05 16:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Hunsaker 2016-01-12 13:42:29 EST
Proposed title of this feature request
 
Provide a capability in kubernetes that mimics the function of --volumes-from in base docker.
 
 
What is the nature and description of the request?
 
Customer would like to be able to provision pods that use data-only containers as data sources similar to the functionality provided by docker's --volumes-from.

Why does the customer need this? (List the business requirements here)
 
In their own words:

------8<-----------
We wanted this capacity becouse we were thinking put the developments (jares files) in several dockers and the operating system and application server in others dockers, and connect both.

The reason of this is becouse the jares files are changed very frequently but the operating system and application server not. In order to modify the jares' dockers without modify the dockers of the operating system and application server we were thinking use data volumen container for jares files and show them to the dockers with the operating system and application server like a path were they could load the jares files.

------8<-----------


How would the customer like to achieve this? (List the functional requirements here)

Probably a configuration option in a pod definition that allows a volume to come from another container/pod instead of a PV/PVC
 
Is there already an existing RFE upstream or in Red Hat bugzilla?
 
No

Does the customer have any specific timeline dependencies?

Not specifically, though account team notes this is a high priority request from the customer.
 
Would the customer be able to assist in testing this functionality if implemented?

Most likely.
Comment 3 Jan Safranek 2016-02-04 04:24:55 EST
Reassigning to OpenShift Origin, it needs to be fixed there first there and then it will automatically emerge in RHEL.
Comment 4 Steve Watt 2016-05-22 14:53:16 EDT
Might I suggest you discuss this approach with your customer: 

1 - Create an NFS share or GlusterFS volume and copy the Jar files into it
2 - Create a READWRITEMANY PV that points to the share/volume that you created with the Jars
3 - Create a READWRITEMANY claim that gets bound to the PV in step 2.

Then use the claim (which contains the jars) and you can mount it into multiple containers within your Pod (or even across the pods in the same project). I believe this will satisfy their requirement. 

If this provides the solution move the status to CLOSED.

Note You need to log in before you can comment on or make changes to this bug.